POST api/NTCosCompany/PostCorporationInjuryArea

Request Information

URI Parameters

None.

Body Parameters

Collection of CorporationInjuryAreaDTO
NameDescriptionTypeAdditional information
CorporationInjuryAreaId

integer

None.

CorporationCode

string

String length: inclusive between 0 and 20

CorporationValidFlag

boolean

None.

Type

integer

None.

Id

integer

None.

Name

string

String length: inclusive between 0 and 50

Sequence

integer

None.

Description

string

String length: inclusive between 0 and 100

NCCICode

string

String length: inclusive between 0 and 50

MedGateCode

string

String length: inclusive between 0 and 50

Standard

boolean

None.

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
[
  {
    "CorporationInjuryAreaId": 1,
    "CorporationCode": "sample string 2",
    "CorporationValidFlag": true,
    "Type": 4,
    "Id": 5,
    "Name": "sample string 6",
    "Sequence": 7,
    "Description": "sample string 8",
    "NCCICode": "sample string 9",
    "MedGateCode": "sample string 10",
    "Standard": true,
    "ValidFlag": true,
    "DateCreated": "2026-06-20T12:56:42.4101853-07:00",
    "DateUpdated": "2026-06-20T12:56:42.4101853-07:00",
    "UserIDCreated": 15,
    "UserIDUpdated": 16,
    "CompanyCode": "sample string 17",
    "IsExcludeDiscount": true
  },
  {
    "CorporationInjuryAreaId": 1,
    "CorporationCode": "sample string 2",
    "CorporationValidFlag": true,
    "Type": 4,
    "Id": 5,
    "Name": "sample string 6",
    "Sequence": 7,
    "Description": "sample string 8",
    "NCCICode": "sample string 9",
    "MedGateCode": "sample string 10",
    "Standard": true,
    "ValidFlag": true,
    "DateCreated": "2026-06-20T12:56:42.4101853-07:00",
    "DateUpdated": "2026-06-20T12:56:42.4101853-07:00",
    "UserIDCreated": 15,
    "UserIDUpdated": 16,
    "CompanyCode": "sample string 17",
    "IsExcludeDiscount": true
  }
]

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfListOfCorporationInjuryAreaDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of CorporationInjuryAreaDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "CorporationInjuryAreaId": 1,
      "CorporationCode": "sample string 2",
      "CorporationValidFlag": true,
      "Type": 4,
      "Id": 5,
      "Name": "sample string 6",
      "Sequence": 7,
      "Description": "sample string 8",
      "NCCICode": "sample string 9",
      "MedGateCode": "sample string 10",
      "Standard": true,
      "ValidFlag": true,
      "DateCreated": "2026-06-20T12:56:42.4101853-07:00",
      "DateUpdated": "2026-06-20T12:56:42.4101853-07:00",
      "UserIDCreated": 15,
      "UserIDUpdated": 16,
      "CompanyCode": "sample string 17",
      "IsExcludeDiscount": true
    },
    {
      "CorporationInjuryAreaId": 1,
      "CorporationCode": "sample string 2",
      "CorporationValidFlag": true,
      "Type": 4,
      "Id": 5,
      "Name": "sample string 6",
      "Sequence": 7,
      "Description": "sample string 8",
      "NCCICode": "sample string 9",
      "MedGateCode": "sample string 10",
      "Standard": true,
      "ValidFlag": true,
      "DateCreated": "2026-06-20T12:56:42.4101853-07:00",
      "DateUpdated": "2026-06-20T12:56:42.4101853-07:00",
      "UserIDCreated": 15,
      "UserIDUpdated": 16,
      "CompanyCode": "sample string 17",
      "IsExcludeDiscount": true
    }
  ],
  "totalCount": 3
}